#include <bits/stdc++.h>

using namespace std;

bool dal(string tk) {
    char l=tk[0];
	for (int i = 1; i < tk.length(); i++) {
        if (tk[i] != l) return false;
    }
    return true;
}

int main()
{
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    
	string s,t;
	cin>>s>>t;
	int tt=s.size();
	if(t=="a")
	{
		for(int i=0;i<tt;i++)
		{
			if(s[i]=='a')
			{
				s[i]='*';
			}
			cout<<s[i];
		}
	}
	else if(dal(t)==true)
	{
		int ts=t.size();
		int cfl=0;
		for(int i=0;i<tt;i++)
		{
			if(s[i]==t[0])
			{
				cfl=cfl+1;
				if(cfl>=ts)
				{
					s[i]='*';
				}
			}
			cout<<s[i];
		}
	}
	else if(t=="ab")
	{
		int ac=0,bc=0;
		for(int i=0;i<tt;i++)
		{
			if(s[i]=='a') ac++;
			else if(s[i]=='b') bc++;
		}
		if(ac<=bc)
		{
			for(int i=0;i<tt;i++)
			{
				if(s[i]=='a')
				{
					s[i]='*';
				}
				cout<<s[i];
			}
		}
		else 
		{
			for(int i=0;i<tt;i++)
			{
				if(s[i]=='b')
				{
					s[i]='*';
				}
				cout<<s[i];
			}
		}
	}
	else if(t=="abc")
	{
		int ac=0,bc=0,cc=0;
		for(int i=0;i<tt;i++)
		{
			if(s[i]=='a') ac++;
			else if(s[i]=='b') bc++;
			else if(s[i]=='c') cc++;
		}
		if(ac<=bc and ac<=cc)
		{
			for(int i=0;i<tt;i++)
			{
				if(s[i]=='a')
				{
					s[i]='*';
				}
				cout<<s[i];
			}
		}
		else if(bc<=ac and bc<=cc)
		{
			for(int i=0;i<tt;i++)
			{
				if(s[i]=='b')
				{
					s[i]='*';
				}
				cout<<s[i];
			}
		}
		else
		{
			for(int i=0;i<tt;i++)
			{
				if(s[i]=='c')
				{
					s[i]='*';
				}
				cout<<s[i];
			}	
		}
	}
	
	return 0;
}